/**
 * External dependencies
 */

import React from 'react';

/**
 * Internal dependencies
 */
import DocumentHead from 'components/data/document-head';
import Main from 'components/main';

/**
 * Illustrations
 */
import adwordsGoogle from 'assets/images/illustrations/adwords-google.svg';
import appBannerEditor from 'assets/images/illustrations/app-banner-editor.svg';
import appBannerNotifications from 'assets/images/illustrations/app-banner-notifications.svg';
import appBannerReader from 'assets/images/illustrations/app-banner-reader.svg';
import appBannerStats from 'assets/images/illustrations/app-banner-stats.svg';
import apps from 'assets/images/illustrations/apps.svg';
import blockEditorFade from 'assets/images/illustrations/block-editor-fade.svg';
import builderReferral from 'assets/images/illustrations/builder-referral.svg';
import checkEmail from 'assets/images/illustrations/check-email.svg';
import customDomain from 'assets/images/illustrations/custom-domain.svg';
import customDomainBlogger from 'assets/images/illustrations/custom-domain-blogger.svg';
import dashboard from 'assets/images/illustrations/dashboard.svg';
import dotcomSupport from 'assets/images/illustrations/dotcom-support.svg';
import dotcomWordAds from 'assets/images/illustrations/dotcom-wordads.svg';
import fireworks from 'assets/images/illustrations/fireworks.svg';
import getAppsBanner from 'assets/images/illustrations/get-apps-banner.svg';
import googleAnalytics from 'assets/images/illustrations/google-analytics.svg';
import googleMyBusinessFeature from 'assets/images/illustrations/google-my-business-feature.svg';
import jetpackBackup from 'assets/images/illustrations/jetpack-backup.svg';
import jetpackConcierge from 'assets/images/illustrations/jetpack-concierge.svg';
import jetpackScan from 'assets/images/illustrations/jetpack-scan.svg';
import jetpackSearch from 'assets/images/illustrations/jetpack-search.svg';
import marketing from 'assets/images/illustrations/marketing.svg';
import media from 'assets/images/illustrations/media.svg';
import migratingHostDiy from 'assets/images/illustrations/migrating-host-diy.svg';
import noMemberships from 'assets/images/illustrations/no-memberships.svg';
import payments from 'assets/images/illustrations/payments.svg';
import privacy from 'assets/images/illustrations/private.svg';
import removedAds from 'assets/images/illustrations/removed-ads.svg';
import seoPageTitle from 'assets/images/illustrations/seo-page-title.svg';
import siteActivity from 'assets/images/illustrations/site-activity.svg';
import themes from 'assets/images/illustrations/themes.svg';
import updates from 'assets/images/illustrations/updates.svg';
import videoHosting from 'assets/images/illustrations/video-hosting.svg';
import whoops from 'assets/images/illustrations/whoops.svg';
import customerHomeIllustrationBusiness from 'assets/images/customer-home/illustration--business.svg';
import customerHomeIllustrationChecklistComplete from 'assets/images/customer-home/illustration--checklist-complete.svg';
import customerHomeIllustrationFireworks from 'assets/images/customer-home/illustration--fireworks-v2.svg';
import customerHomeIllustrationImportComplete from 'assets/images/customer-home/illustration--import-complete.svg';
import customerHomeIllustrationRocket from 'assets/images/customer-home/illustration--rocket.svg';
import customerHomeIllustrationSecondaryEarn from 'assets/images/customer-home/illustration--secondary-earn.svg';
import customerHomeIllustrationSecondaryFreePhoto from 'assets/images/customer-home/illustration--secondary-free-photo-library.svg';
import customerHomeIllustrationSecondaryGutenberg from 'assets/images/customer-home/illustration--secondary-gutenberg.svg';
import customerHomeIllustrationTaskConnect from 'assets/images/customer-home/illustration--task-connect-social-accounts.svg';
import customerHomeIllustrationTaskEarn from 'assets/images/customer-home/illustration--task-earn.svg';
import customerHomeIllustrationTaskFindDomain from 'assets/images/customer-home/illustration--task-find-domain.svg';
import customerHomeIllustrationWebinars from 'assets/images/customer-home/illustration-webinars.svg';

export default class Illustrations extends React.PureComponent {
	render() {
		return (
			<Main className="devdocs design__illustrations devdocs__illustrations">
				<DocumentHead title="Illustrations" />
				<div className="design__illustrations-content devdocs__doc-content">
					<h1>Illustrations</h1>
					<p></p>
					<h2>General</h2>
					<div className="design__illustrations-illustrations">
						<div className="design__illustrations-illustration">
							<img src={ adwordsGoogle } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ appBannerEditor } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ appBannerNotifications } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ appBannerReader } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ appBannerStats } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ apps } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ blockEditorFade } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ builderReferral } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ checkEmail } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customDomain } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customDomainBlogger } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ dashboard } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ dotcomSupport } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ dotcomWordAds } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ fireworks } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ getAppsBanner } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ googleAnalytics } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ googleMyBusinessFeature } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ marketing } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ media } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ migratingHostDiy } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ noMemberships } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ payments } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ privacy } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ removedAds } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ seoPageTitle } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ siteActivity } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ themes } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ updates } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ videoHosting } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ whoops } alt="" />
						</div>
					</div>

					<h2>Customer Home</h2>
					<div className="design__illustrations-illustrations">
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationBusiness } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationChecklistComplete } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationFireworks } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationImportComplete } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationRocket } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationSecondaryEarn } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationSecondaryFreePhoto } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationSecondaryGutenberg } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationTaskConnect } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationTaskEarn } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationTaskFindDomain } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ customerHomeIllustrationWebinars } alt="" />
						</div>
					</div>
					<h2>Jetpack</h2>
					<div className="design__illustrations-illustrations">
						<div className="design__illustrations-illustration">
							<img src={ jetpackBackup } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ jetpackConcierge } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ jetpackScan } alt="" />
						</div>
						<div className="design__illustrations-illustration">
							<img src={ jetpackSearch } alt="" />
						</div>
					</div>
				</div>
			</Main>
		);
	}
}
